import { EventEmitter } from "../../stencil-public-runtime";
import { IPaymentMethodMetadata } from "../../api/PaymentMethod";
export declare class IframeInput {
    private iframeElement;
    private frameService;
    el: HTMLElement;
    iframeLoaded: EventEmitter<void>;
    isFocused: boolean;
    isValid: boolean;
    errorText: string;
    inputId: string;
    label: string;
    iframeOrigin: string;
    disconnectedCallback(): void;
    validate(): Promise<any>;
    tokenize(clientId: string, paymentMethodMetadata: IPaymentMethodMetadata, account?: string): Promise<any>;
    private initializeFrameCommunicationService;
    private dispatchMessageEvent;
    private get part();
    private get style();
    private get urlParams();
    render(): any;
}
